Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class PSVIElementNSImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.xerces.dom.ElementNSImpl
                          weblogic.apache.xerces.dom.PSVIElementNSImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, ElementPSVI, ItemPSVI

Deprecated. please use JDK supplied XML parsers and transformers

    public class PSVIElementNSImpl

extends ElementNSImpl
implements ElementPSVI

Element namespace implementation; stores PSVI element items.

See Also:
  Serialized Form

Field Summary
`protected weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `fDeclaration` Deprecated. element declaration
`protected weblogic.apache.xerces.impl.xs.psvi.StringList` | `fErrorCodes` Deprecated. error codes
`protected weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `fMemberType` Deprecated. member type definition against which element was validated
`protected boolean` | `fNil` Deprecated. true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false
`protected String` | `fNormalizedValue` Deprecated. schema normalized value property
`protected weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `fNotation` Deprecated. http://www.w3.org/TR/xmlschema-1/#e-notation
`protected weblogic.apache.xerces.impl.xs.psvi.XSModel` | `fSchemaInformation` Deprecated. the schema information property
`protected boolean` | `fSpecified` Deprecated. false if the element value was provided by the schema; true otherwise.
`protected weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `fTypeDecl` Deprecated. type of element, could be xsi:type
`protected short` | `fValidationAttempted` Deprecated. validation attempted: none, partial, full
`protected String` | `fValidationContext` Deprecated. validation context: could be QName or XPath expression
`protected short` | `fValidity` Deprecated. validity: valid, invalid, unknown

Fields inherited from class weblogic.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface weblogic.apache.xerces.xni.psvi.ItemPSVI
`VALIDATION_FULL, VALIDATION_NONE, VALIDATION_PARTIAL, VALIDITY_INVALID, VALIDITY_UNKNOWN, VALIDITY_VALID`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`PSVIElementNSImpl(CoreDocumentImpl ownerDocument, String namespaceURI, String qualifiedName)` Deprecated. Construct an element node.
`PSVIElementNSImpl(CoreDocumentImpl ownerDocument, String namespaceURI, String qualifiedName, String localName)` Deprecated. Construct an element node.

Method Summary
`Object` | `getActualValue()` Deprecated. [actual value]
`weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration` | `getElementDeclaration()` Deprecated. An item isomorphic to the element declaration used to validate this element.
`weblogic.apache.xerces.impl.xs.psvi.StringList` | `getErrorCodes()` Deprecated. A list of error codes generated from validation attempts.
`boolean` | `getIsNil()` Deprecated. [nil]
`boolean` | `getIsSchemaSpecified()` Deprecated. [schema specified]
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getMemberTypeDefinition()` Deprecated. If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.
`weblogic.apache.xerces.impl.xs.psvi.XSObjectList` | `getMemberTypes()` Deprecated. If the item ia a list, return the list of member types for this item
`weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration` | `getNotation()` Deprecated. [notation]
`String` | `getSchemaDefault()` Deprecated. [schema default]
`weblogic.apache.xerces.impl.xs.psvi.XSModel` | `getSchemaInformation()` Deprecated. [schema information]
`String` | `getSchemaNormalizedValue()` Deprecated. [schema normalized value]
`weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition` | `getTypeDefinition()` Deprecated. An item isomorphic to the type definition used to validate this element.
`short` | `getValidationAttempted()` Deprecated. Determines the extent to which the document has been validated
`String` | `getValidationContext()` Deprecated. [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?
`short` | `getValidity()` Deprecated. Determine the validity of the node with respect to the validation being attempted
`void` | `setPSVI(ElementPSVI elem)` Deprecated. Copy PSVI properties from another psvi item.

Methods inherited from class weblogic.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, setPrefix, setValues`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getNodeValue, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getSchemaTypeInfo, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, insertBefore, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, removeChild, replaceChild, setNodeValue, setTextContent, setUserData`

Field Detail

### fDeclaration

    protected weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration fDeclaration

  Deprecated.
  element declaration

### fTypeDecl

    protected weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition fTypeDecl

  Deprecated.
  type of element, could be xsi:type

### fNil

    protected boolean fNil

  Deprecated.
  true if clause 3.2 of Element Locally Valid (Element) (3.3.4) is satisfied, otherwise false

### fSpecified

    protected boolean fSpecified

  Deprecated.
  false if the element value was provided by the schema; true otherwise.

### fNormalizedValue

    protected String fNormalizedValue

  Deprecated.
  schema normalized value property

### fNotation

    protected weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration fNotation

  Deprecated.
  http://www.w3.org/TR/xmlschema-1/#e-notation

### fMemberType

    protected weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition fMemberType

  Deprecated.
  member type definition against which element was validated

### fValidationAttempted

    protected short fValidationAttempted

  Deprecated.
  validation attempted: none, partial, full

### fValidity

    protected short fValidity

  Deprecated.
  validity: valid, invalid, unknown

### fErrorCodes

    protected weblogic.apache.xerces.impl.xs.psvi.StringList fErrorCodes

  Deprecated.
  error codes

### fValidationContext

    protected String fValidationContext

  Deprecated.
  validation context: could be QName or XPath expression

### fSchemaInformation

    protected weblogic.apache.xerces.impl.xs.psvi.XSModel fSchemaInformation

  Deprecated.
  the schema information property

Constructor Detail

### PSVIElementNSImpl

    public PSVIElementNSImpl(CoreDocumentImpl ownerDocument,
                             String namespaceURI,
                             String qualifiedName,
                             String localName)

  Deprecated.
  Construct an element node.

### PSVIElementNSImpl

    public PSVIElementNSImpl(CoreDocumentImpl ownerDocument,
                             String namespaceURI,
                             String qualifiedName)

  Deprecated.
  Construct an element node.

Method Detail

### getSchemaDefault

    public String getSchemaDefault()

  Deprecated.
  [schema default]

  Specified by:
    `getSchemaDefault` in interface `ItemPSVI`
  Returns:
    The canonical lexical representation of the declaration's {value constraint} value.
  See Also:

    ### getSchemaNormalizedValue

        public String getSchemaNormalizedValue()

      Deprecated.
      [schema normalized value]

      Specified by:
        `getSchemaNormalizedValue` in interface `ItemPSVI`
      Returns:
        the normalized value of this item after validation
      See Also:

        ### getActualValue

            public Object getActualValue()

          Deprecated.
          [actual value]

          Specified by:
            `getActualValue` in interface `ItemPSVI`
          Returns:
            the binary value of this item after validation

        ### getIsSchemaSpecified

            public boolean getIsSchemaSpecified()

          Deprecated.
          [schema specified]

          Specified by:
            `getIsSchemaSpecified` in interface `ItemPSVI`
          Returns:
            false value was specified in schema, true value comes from the infoset
          See Also:
            XML Schema Part 1: Structures [schema specified]

        ### getValidationAttempted

            public short getValidationAttempted()

          Deprecated.
          Determines the extent to which the document has been validated

          Specified by:
            `getValidationAttempted` in interface `ItemPSVI`
          Returns:
            return the [validation attempted] property. The possible values are NO_VALIDATION, PARTIAL_VALIDATION and FULL_VALIDATION

        ### getValidity

            public short getValidity()

          Deprecated.
          Determine the validity of the node with respect to the validation being attempted

          Specified by:
            `getValidity` in interface `ItemPSVI`
          Returns:
            return the [validity] property. Possible values are: UNKNOWN_VALIDITY, INVALID_VALIDITY, VALID_VALIDITY

        ### getErrorCodes

            public weblogic.apache.xerces.impl.xs.psvi.StringList getErrorCodes()

          Deprecated.
          A list of error codes generated from validation attempts. Need to find all the possible subclause reports that need reporting

          Specified by:
            `getErrorCodes` in interface `ItemPSVI`
          Returns:
            Array of error codes

        ### getValidationContext

            public String getValidationContext()

          Deprecated.
          Description copied from interface: `ItemPSVI`
          [validation context] // REVISIT: what the return type should be? Should we return QName/XPath/ or element info item..?

          Specified by:
            `getValidationContext` in interface `ItemPSVI`
          Returns:
            The nearest ancestor element information item with a [schema information] property (or this element item itself if it has such a property)
          See Also:
            XML Schema Part 1: Structures [validation context]

        ### getIsNil

            public boolean getIsNil()

          Deprecated.
          [nil]

          Returns:
            true if clause 3.2 of Element Locally Valid (Element) (3.3.4) above is satisfied, otherwise false
          See Also:

            ### getNotation

                public weblogic.apache.xerces.impl.xs.psvi.XSNotationDeclaration getNotation()

              Deprecated.
              [notation]

              Specified by:
                `getNotation` in interface `ElementPSVI`
              Returns:
                The notation declaration.
              See Also:

                ### getTypeDefinition

                    public weblogic.apache.xerces.impl.xs.psvi.XSTypeDefinition getTypeDefinition()

                  Deprecated.
                  An item isomorphic to the type definition used to validate this element.

                  Specified by:
                    `getTypeDefinition` in interface `ItemPSVI`
                  Returns:
                    a type declaration

                ### getMemberTypes

                    public weblogic.apache.xerces.impl.xs.psvi.XSObjectList getMemberTypes()

                  Deprecated.
                  Description copied from interface: `ItemPSVI`
                  If the item ia a list, return the list of member types for this item

                  Specified by:
                    `getMemberTypes` in interface `ItemPSVI`

                ### getMemberTypeDefinition

                    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getMemberTypeDefinition()

                  Deprecated.
                  If and only if that type definition is a simple type definition with {variety} union, or a complex type definition whose {content type} is a simple thype definition with {variety} union, then an item isomorphic to that member of the union's {member type definitions} which actually validated the element item's normalized value.

                  Specified by:
                    `getMemberTypeDefinition` in interface `ItemPSVI`
                  Returns:
                    a simple type declaration

                ### getElementDeclaration

                    public weblogic.apache.xerces.impl.xs.psvi.XSElementDeclaration getElementDeclaration()

                  Deprecated.
                  An item isomorphic to the element declaration used to validate this element.

                  Specified by:
                    `getElementDeclaration` in interface `ElementPSVI`
                  Returns:
                    an element declaration

                ### getSchemaInformation

                    public weblogic.apache.xerces.impl.xs.psvi.XSModel getSchemaInformation()

                  Deprecated.
                  [schema information]

                  Specified by:
                    `getSchemaInformation` in interface `ElementPSVI`
                  Returns:
                    The schema information property if it's the validation root, null otherwise.
                  See Also:
                    XML Schema Part 1: Structures [schema information]

                ### setPSVI

                    public void setPSVI(ElementPSVI elem)

                  Deprecated.
                  Copy PSVI properties from another psvi item.

                  Parameters:
                    `attr` - the source of attribute PSVI items

                Overview | Package | Class | Use | Tree | Deprecated | Index | Help
                | Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
                PREV CLASS NEXT CLASS | FRAMES NO FRAMES
                SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD